<p align="center">
  <a href="https://www.npmjs.com/package/@frsource/tiny-carousel-plugin-custom-events">
    <img src="https://img.shields.io/npm/v/@frsource/tiny-carousel-plugin-custom-events" alt="NPM version badge">
  </a>
  <a href="https://bundlephobia.com/result?p=@frsource/tiny-carousel-plugin-custom-events" title="Visit bundlephobia for more details!">
    <img src="https://img.shields.io/bundlephobia/minzip/@frsource/tiny-carousel-plugin-custom-events" alt="Plugin Custom Events bundle size badge. Data from bundlephobia.com">
  </a>
  <a href="https://bundlephobia.com/result?p=@frsource/tiny-carousel-plugin-custom-events">
    <img src="https://badgen.net/bundlephobia/tree-shaking/@frsource/tiny-carousel-plugin-custom-events" alt="Tree shaking supported">
  </a>
  <a href="https://github.com/semantic-release/semantic-release">
    <img src="https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg" alt="semantic-relase badge">
  </a>
  <a href="https://github.com/FRSOURCE/tiny-carousel/blob/master/LICENSE">
    <img src="https://img.shields.io/github/license/FRSOURCE/tiny-carousel" alt="license MIT badge">
  </a>
</p>

<h1 align="center">Plugin for @frsource/tiny-carousel that triggers custom events (and&nbsp;gives&nbsp;a&nbsp;nice&nbsp;API to interact with them) 🎭</h1>

<p align="center">
  <a href="https://www.frsource.org/tiny-carousel/guide/usage/#plugin-custom-events">Usage guide</a>
  ·
  <a href="https://www.frsource.org/tiny-carousel/api-reference/plugin-custom-events/">API Reference</a>
  ·
  <a href="https://www.frsource.org/tiny-carousel/contribution/">Contribution</a>
  ·
  <a href="https://github.com/FRSOURCE/tiny-carousel/issues">File an Issue</a>
  ·
  <a href="https://github.com/FRSOURCE/tiny-carousel/discussions">Have a question or an idea?</a>
  <br>
</p>

<p align="center">
  <i>The plugin being a part of the Tiny Carousel <a href="https://www.frsource.org/tiny-carousel/ecosystem/">ecosystem</a>.
    <br>Triggers <a href="https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent/CustomEvent">native CustomEvents</a> for all of the most important Tiny Carousel methods (<a href="https://www.frsource.org/tiny-carousel/api-reference/plugin-custom-events/#events">event list</a>).
    <br>Extends Tiny Carousel with <a href="https://www.frsource.org/tiny-carousel/api-reference/plugin-custom-events#instance-methods">additional instance methods</a>.
  <br></i>
  <br>
</p>


<p align="center">
  <img src="https://github.com/FRSOURCE/tiny-carousel/blob/master/src/logo.png" alt="Tiny carousel library logo" height="120px"/>
  <br>
  <a href="https://www.frsource.org/tiny-carousel"><strong>www.frsource.org/tiny-carousel</strong></a>
  <br>
  <br>
</p>


## Documentation

For docs, please visit [frsource.org/tiny-carousel](https://www.frsource.org/tiny-carousel/)

- [Getting Started](https://www.frsource.org/tiny-carousel/guide/usage/#plugin-custom-events)
- [API Reference](https://www.frsource.org/tiny-carousel/api-reference/plugin-custom-events/)
- [Ecosystem & plugins](https://www.frsource.org/tiny-carousel/ecosystem/)

## Questions

Don’t hesitate to ask a question directly on the [discussions board](https://github.com/FRSOURCE/tiny-carousel/discussions)!

## Changelog

Changes for every release are documented in the [release notes](https://github.com/FRSOURCE/tiny-carousel/releases) and [CHANGELOG](https://github.com/FRSOURCE/tiny-carousel/blob/master/packages/plugin-custom-events/CHANGELOG.md).

## License

[MIT](https://opensource.org/licenses/MIT)

Copyright (c) 2020-present, Jakub FRS Freisler, FRSOURCE
