import { EventDetailMap, CustomEventListener } from '@frsource/tiny-carousel-utils';
import type { TinyCarousel } from '@frsource/tiny-carousel-core';
declare module '@frsource/tiny-carousel-utils' {
    interface EventDetailMap {
        'before:init'?: undefined;
        'after:init'?: undefined;
        'before:destroy'?: undefined;
        'after:destroy'?: undefined;
        'before:go-to': {
            to: {
                index: number;
            };
        };
        'after:go-to': {
            to: {
                index: number;
            };
        };
        'error:go-to': {
            to: {
                index: number;
            };
            cause: 'overflow';
        };
        'before:find-possible-items'?: undefined;
        'after:find-possible-items'?: undefined;
    }
    interface CustomEventRequiredPayload {
        tinyCarousel: TinyCarousel;
    }
}
declare type InstanceOnFn = {
    <E extends keyof EventDetailMap>(event: E, handler: CustomEventListener<E>, options?: boolean | AddEventListenerOptions): TinyCarousel;
    (event: string, handler: EventListener, options?: boolean | AddEventListenerOptions): TinyCarousel;
};
declare type InstanceOffFn = {
    <E extends keyof EventDetailMap>(event: E, handler: CustomEventListener<E>): TinyCarousel;
    (event: string, handler: EventListener): TinyCarousel;
};
declare type InstanceDispatchFn = {
    <E extends keyof EventDetailMap, P extends EventDetailMap[E]>(event: E, ...[payload, options]: (P extends undefined ? [undefined?, EventInit?] : never)): TinyCarousel;
    (event: string, payload?: unknown, options?: EventInit): TinyCarousel;
};
declare module '@frsource/tiny-carousel-core' {
    interface TinyCarousel {
        on: InstanceOnFn;
        off: InstanceOffFn;
        dispatch: InstanceDispatchFn;
    }
}
export declare const pluginCustomEvents: {
    install(instance: TinyCarousel): void;
};
export {};
